package com.sygem.swing.demos;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.sygem.swing.jpopupslider.*;
import javax.swing.event.*;

/**
 * <p>Title: JPopupSlider</p>
 * <p>Description: Displays a slider bar in a popup window</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: SyGem Software</p>
 * @author Simon Jewell
 * @version 1.0
 */
public class JPopupSliderDemoFrame extends JFrame {
  JPanel contentPane;
  JPopupSlider jPopupSlider1 = new JPopupSlider();
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();

  //Construct the frame
  public JPopupSliderDemoFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  //Component initialization
  private void jbInit() throws Exception  {
    contentPane = (JPanel) this.getContentPane();

    contentPane.setLayout(new GridBagLayout());
    this.setSize(new Dimension(200, 100));
    this.setTitle("JPopupSlider Simple Demo");
    jPopupSlider1.setBarColor(Color.orange);
    jPopupSlider1.setDirection(JPopupSlider.DIRECTION_UP);
    jPopupSlider1.setPopupOutlineColor(Color.pink);
    jPopupSlider1.setToolTipText("A Popup Slider");
    jPopupSlider1.addChangeListener(new JPopupSliderDemoFrame_jPopupSlider1_changeAdapter(this));
    jLabel1.setText("Value: ");
    jLabel2.setMaximumSize(new Dimension(18, 15));
    jLabel2.setMinimumSize(new Dimension(18, 15));
    jLabel2.setPreferredSize(new Dimension(18, 15));
    jLabel2.setText("0");
    contentPane.add(jPopupSlider1,        new GridBagConstraints(2, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 5, 0, 0), 0, 0));
    contentPane.add(jLabel1,              new GridBagConstraints(0, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 20, 0, 0), 0, 0));
    contentPane.add(jLabel2,     new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
  }

  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  void jPopupSlider1_stateChanged(ChangeEvent e) {
    jLabel2.setText(jPopupSlider1.getValue().toString());
  }

}

class JPopupSliderDemoFrame_jPopupSlider1_changeAdapter implements javax.swing.event.ChangeListener {
  JPopupSliderDemoFrame adaptee;

  JPopupSliderDemoFrame_jPopupSlider1_changeAdapter(JPopupSliderDemoFrame adaptee) {
    this.adaptee = adaptee;
  }
  public void stateChanged(ChangeEvent e) {
    adaptee.jPopupSlider1_stateChanged(e);
  }
}
