package com.sygem.swing.demos;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.sygem.swing.colorchooser.AdvancedColorChooser;
import javax.swing.colorchooser.DefaultColorSelectionModel;
import javax.swing.event.ChangeListener;
import javax.swing.event.ChangeEvent;
import javax.swing.colorchooser.ColorSelectionModel;

/**
 * <p>Title: AdvancedColorChooser</p>
 * <p>Description: A sophisticated Color Chooser dialog</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: SyGem Software</p>
 * @author Simon Jewell
 * @version 1.0
 */

public class EmbeddedColorChooserDemoFrame extends JFrame {
  JPanel contentPane;
  BorderLayout borderLayout1 = new BorderLayout();

  //Construct the frame
  public EmbeddedColorChooserDemoFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  //Component initialization
  private void jbInit() throws Exception  {
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(borderLayout1);
    final JLabel statusLabel = new JLabel("Please select a color...");
    DefaultColorSelectionModel model = new DefaultColorSelectionModel();
    model.addChangeListener(new ChangeListener() {
      public void stateChanged(ChangeEvent e) {
        Color c = ((ColorSelectionModel)e.getSource()).getSelectedColor();
        statusLabel.setText("Color selected: "+c);
      }
    });
    AdvancedColorChooser chooser = new AdvancedColorChooser(model);
    contentPane.add(chooser,BorderLayout.CENTER);
    contentPane.add(statusLabel,BorderLayout.SOUTH);
    this.setSize(new Dimension(400, 300));
    this.setTitle("How to Embed an AdvancedColorChooser");
  }

  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }
}
